Subject: [bug#53930] [PATCH] gnu: Add emacs-nyan-mode.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 11 Feb 2022 21:22:52 +0100

Am Freitag, dem 11.02.2022 um 10:19 +0100 schrieb Nicolas Goaziou:
> > > And I thought Guix was a serious distribution… ;)
> > How serious can Guix be if it lacks nyan-mode? 😺️
> 
> So true.
High time we fix this.

> > > Maybe: Nyan Cat as position indicator in a buffer
> > Nyan Cat as a buffer position indicator?
> 
> Even better!
Done.

> > > > +    (description
> > > > +     "Nyan Mode is an analog indicator of your position in the
> > > > buffer.  
> > > 
> > > I know the project name is "nyan mode" but still:
> > > 
> > > Nitpick: Nyan mode is…
> > I copied the title-case from the package preceding it.  WDYT about
> > "@code{nyan-mode} is", which would have been my goto before reading
> > that other description?
> 
> I like Foo mode because all modes are spelled out like this (or
> sometimes simply Foo) in the Emacs manual, as God intended.
> 
> As you pointed out, many packages just ignore this anyway. So, I'm
> fine either way.
Pushed it the way God intended.  With "Nyan mode" and mplayer
hardcoded.

Cheers